Total Commander Ultima Prime

One For All


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
upgrade problem with old settings...
#1
hi to all,

i've a problem when upgrade an old version of tcup... i'm lost all my settings!
position... appearance.. button bar... directory hotlist...

there is a method to install a new version without loose my setting?

thx in advance!

bye!
Reply
#2
skizo Wrote:hi to all,

i've a problem when upgrade an old version of tcup... i'm lost all my settings!
position... appearance.. button bar... directory hotlist...

there is a method to install a new version without loose my setting?

thx in advance!

bye!
Unfortunately currently it's impossible. Everything you can do is keeping your wincmd.ini and *.bar and replacing the TCUP's ones with them after each installation. But it has big drawbacks. These files are updated with every release. With replacing wincmd.ini you may not be able to use some new features. Similarly with buttonbars, but you'll lose here also access to newly added programs.
And if Ultima Prime makes a major redesign, many old features will stop working.
[Image: pcbsdec7.jpg]
Reply
#3
m^2 Wrote:Unfortunately currently it's impossible. Everything you can do is keeping your wincmd.ini and *.bar  and replacing the TCUP's ones with them after each installation. But it has big drawbacks. These files are updated with every release. With replacing wincmd.ini you may not be able to use some new features. Similarly with buttonbars, but you'll lose here also access to newly added programs.
And if Ultima Prime makes a major redesign, many old features will stop working.

Exactly
Reply
#4
hmmm...
Cool
You are right but by changing the method of installation it could be done:
Someone has to write a program that could read all settings (not in connection with TC UP plugins).

What do you think?
[Image: selifest_admin.png]
[Image: selifest_wiki_auth.png]
Reply
#5
[HUN Wrote:Peti]
hmmm...
Cool
You are right but by changing the method of installation it could be done:
Someone has to write a program that could read all settings (not in connection with TC UP plugins).

What do you think?

That's why I wrote "currently". I have a plan, but no time to implement it.
[Image: pcbsdec7.jpg]
Reply
#6
The biggest trouble would be main menu and buttonbar.
And the installer should install scripts to upgrade and a version info file.

I think this is enough for now...
[Image: selifest_admin.png]
[Image: selifest_wiki_auth.png]
Reply
#7
[HUN Wrote:Peti]
The biggest trouble would be main menu and buttonbar.
And the installer should install scripts to upgrade and a version info file.

Menu is not a problem
Code:
IF branch EXISTS
    FIND the last existing predecessor
    ADD entry after it
I don't think that modified buttonbars can be updated - because of alignment problems.

What install scripts are you thinking about?
About version info - Indeed it's needed. AFAIK it's going to be there as a side effect of another addition since 2.6.
EDIT: I missed that 2.6 is released already Shy
And it is there. So maybe one day a newer version of TCUP will be able to update from 2.6. Almost no chance with older versions.
[Image: pcbsdec7.jpg]
Reply
#8
m^2 Wrote:
[HUN Wrote:Peti]
The biggest trouble would be main menu and buttonbar.
And the installer should install scripts to upgrade and a version info file.

Menu is not a problem
Code:
IF branch EXISTS
    FIND the last existing predecessor
    ADD entry after it
I don't think that modified buttonbars can be updated - because of alignment problems.

What install scripts are you thinking about?
About version info - Indeed it's needed. AFAIK it's going to be there as a side effect of another addition since 2.6.
EDIT: I missed that 2.6 is released already Shy
And it is there. So maybe one day a newer version of TCUP will be able to update from 2.6. Almost no chance with older versions.

I wanted to tell Ultima to add version info file. But I forgot... But you didn'tSmile.
Install script (for example) for TC UP 3.0 Updater:
Peti Wrote:[2.6]
wfx=newplugin1.wfx|newplugin2.wfx
wlx=newplugin1.wlx|newplugin2.wlx
...
menuprg=New Program#em_set_xxxx
menutool=New Tool#em_set_xxxx
[2.7]
....
[2.8]
...
[2.9]
....
Or at least something like this...
[Image: selifest_admin.png]
[Image: selifest_wiki_auth.png]
Reply
#9
[HUN Wrote:Peti]
Install script (for example) for TC UP 3.0 Updater:
Peti Wrote:[2.6]
wfx=newplugin1.wfx|newplugin2.wfx
wlx=newplugin1.wlx|newplugin2.wlx
...
menuprg=New Program#em_set_xxxx
menutool=New Tool#em_set_xxxx
[2.7]
....
[2.8]
...
[2.9]
....
Or at least something like this...
Right, I misunderstood your first post.
[Image: pcbsdec7.jpg]
Reply


Forum Jump:


Users browsing this thread: 1 Guest(s)